import { AdminFavoriteService } from "./favorite.service";
export declare class AdminFavoriteController {
    private readonly adminFavoriteService;
    constructor(adminFavoriteService: AdminFavoriteService);
    findAll(vendorId?: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/favorite/favorite.entity").Favorite[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/favorite/favorite.entity").Favorite;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
